Files
List Files
List files.
Scopes: files:read files:write
GET
/
v1
/
files
/
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.files.iter_list(
page=1,
limit=10,
):
print(item)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.files.iterList(
{
"page": 1,
"limit": 10
},
)) {
console.log(item);
}curl --request GET \
--url https://api.polar.sh/v1/files/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.polar.sh/v1/files/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/files/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"path": "<string>",
"mime_type": "<string>",
"size": 123,
"storage_version": "<string>",
"checksum_etag": "<string>",
"checksum_sha256_base64": "<string>",
"checksum_sha256_hex": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"version": "<string>",
"service": "<string>",
"is_uploaded": true,
"created_at": "2023-11-07T05:31:56Z",
"size_readable": "<string>"
}
],
"pagination": {
"total_count": 123,
"max_page": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Query Parameters
Filter by organization ID. The organization ID.
Example:
"1dbfc517-0bbf-4301-9ba8-555ca42b9737"
Filter by file ID.
Page number, defaults to 1.
Size of a page, defaults to 10. Maximum is 100.
Response
Successful Response
items
(DownloadableFileRead · object | ProductMediaFileRead · object | OrganizationAvatarFileRead · object | SupportCaseAttachmentFileRead · object)[]
required
File to be associated with the downloadables benefit.
- DownloadableFileRead
- ProductMediaFileRead
- OrganizationAvatarFileRead
- SupportCaseAttachmentFileRead
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.files.iter_list(
page=1,
limit=10,
):
print(item)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.files.iterList(
{
"page": 1,
"limit": 10
},
)) {
console.log(item);
}
